DSA_generate_key(3)

NAME
DSA_generate_key - generate DSA key pair

LIBRARY
libcrypto, -lcrypto

SYNOPSIS

 #include <openssl/dsa.h>
 int DSA_generate_key(DSA *a);

DESCRIPTION
DSA_generate_key() expects a to contain DSA parameters. It generates a new key pair and stores it in a->pub_key and a->priv_key.

The PRNG must be seeded prior to calling DSA_generate_key().

RETURN VALUE
DSA_generate_key() returns 1 on success, 0 otherwise. The error codes can be obtained by the ERR_get_error(3)|ERR_get_error(3) manpage.

SEE ALSO
the dsa(3)|dsa(3) manpage, the err(3)|err(3) manpage, the rand(3)|rand(3) manpage, the DSA_generate_parameters(3)|DSA_generate_parameters(3) manpage

HISTORY
DSA_generate_key() is available since SSLeay 0.8.